Skip to main content
GET
/
organizations
/
{organizationID}
/
regions
Get available regions
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID}/regions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.xata.tech/organizations/{organizationID}/regions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "regions": [
    {
      "id": "<string>",
      "publicAccess": true,
      "backupsEnabled": true,
      "organizationId": "<string>"
    }
  ]
}
{
"message": "<string>",
"id": "<string>"
}
{
"message": "<string>",
"id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization to check region availability for

Pattern: [a-zA-Z0-9_-~:]+

Response

List of regions available for the organization

regions
object[]
required

Array of available regions with their properties